<?php

namespace ExceptionHandle;

use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpSpecializedException;
use Throwable;

class HttpNotFoundError extends HttpSpecializedException {

    protected $code = 404;
    protected $message =  "Wrong URL, verify the right call of the API. Exemple :'http://url?method=getSomething&id=5'";

    public function __construct(ServerRequestInterface $request,?Throwable $previous = null)
    {
        parent::__construct($request, $this->message, $previous);
    }

}